com.pdfunit

## Enum FlipDirection

- java.lang.Object
- - java.lang.Enum<FlipDirection>
  - - com.pdfunit.FlipDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlipDirection>

      @DoNotObfuscate
      public enum FlipDirection
      extends java.lang.Enum<FlipDirection>

  Enumeration defining values for image manipulation.

  The flipping HORIZONTAL_AND_VERTICAL is not provided because that is the same as Rotation.DEGREES_180, which is provided.

  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL`
    `NONE`
    `VERTICAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ImageRegion` | `flip(com.pdfunit.internal.spi.IImage actualImage, ImageRegion imageRegion)`
    `static FlipDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlipDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FlipDirection NONE

    - #### HORIZONTAL

          public static final FlipDirection HORIZONTAL

    - #### VERTICAL

          public static final FlipDirection VERTICAL

  - ### Method Detail

    - #### values

          public static FlipDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlipDirection c : FlipDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlipDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### flip

          public abstract ImageRegion flip(com.pdfunit.internal.spi.IImage actualImage,
                         ImageRegion imageRegion)

Copyright (C) PDFUnit.com. See here for license.